import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;
import ru.ifmo.testlib.Outcome.Type;

public class Check implements Checker {
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        String res = ouf.nextToken();
        String comment = ouf.nextLine();
        if (res.equals("WA")) {
            return new Outcome(Type.WA, comment);
        }
        if (res.equals("PE")) {
            return new Outcome(Type.PE, comment);
        }
        if (res.equals("OK")) {
            return new Outcome(Type.OK, comment);
        }
        throw new AssertionError();
    }
}
